package com.ruoyi.zhushi.service;

import com.ruoyi.common.core.domain.PageQuery;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.zhushi.entity.NjBalanceManage;
import com.ruoyi.zhushi.entity.NjBalanceManageDTO;
import com.ruoyi.zhushi.entity.NjRuleConfigDTO;

import java.math.BigDecimal;
import java.util.List;

public interface NjBalanceManageService {

    TableDataInfo<NjBalanceManageDTO> queryPageList(NjBalanceManageDTO njBalanceManageDTO, PageQuery pageQuery);

    void insertBatch(List<NjBalanceManage> njBalanceManages);

    BigDecimal getUnUsedDayByUserId(long userId);

    int update(NjBalanceManageDTO njBalanceManageDTO);

    /**
     * 年假生成
     */
    void generateYearBalance( );
}
